﻿param(
[string]$UserAccount = $(throw "Als erster Parameter muss der Loginname angegeben werden"),
[string]$MUILanguages = $(throw "Als zweiter Parameter müssen die Display Languages angegeben werden (z.B. de-CH für nur eine Sprache oder durch Komma getrennt für mehrere Sprachen z.B. en-US,ch-DE"),
[string]$ContentLanguages = $(throw "Als dritter Parameter muss Content and Search Languages angegeben werden (z.B. de-CH für nur eine Sprache oder durch Komma getrennt für mehrere Sprachen z.B. en-US,ch-DE")
)

#Set Variables
$SiteURL = "https://<Ihr URL Name>.sharepoint.com"
 
#Connect to PNP Online
Connect-PnPOnline -Url $SiteURL -Credentials (Get-Credential)
 
#Get all properties of a User Profile
$UserProfile = Get-PnPUserProfileProperty -Account $UserAccount
Write-Host "Actual properties for user" $UserAccount ":"
Write-Host "SPS-MUILanguages    :" $UserProfile.UserProfileProperties."SPS-MUILanguages"
Write-Host "SPS-ContentLanguages:" $UserProfile.UserProfileProperties."SPS-ContentLanguages"
Write-Host ""

# set new user profile properties
Set-PnPUserProfileProperty -Account $UserAccount -PropertyName "SPS-MUILanguages" -Value $MUILanguages
Set-PnPUserProfileProperty -Account $UserAccount -PropertyName "SPS-ContentLanguages" -Value $ContentLanguages

$UserProfile = Get-PnPUserProfileProperty -Account $UserAccount
Write-Host "New properties for user" $UserAccount ":"
Write-Host "SPS-MUILanguages    :" $UserProfile.UserProfileProperties."SPS-MUILanguages"
Write-Host "SPS-ContentLanguages:" $UserProfile.UserProfileProperties."SPS-ContentLanguages"

# close connection to SharePoint Online
Disconnect-PnPOnline